Subject: Re: [Bitcoin-development] PSA: Please sign your git commits

From: Gregory Maxwell <[email-masked]>
Date: Wed, 21 May 2014 14:02:07 -0700

On Wed, May 21, 2014 at 1:30 PM, Mark Friedenbach <[email-masked]> wrote:
> Honest question: what would signed commits do to help us here anyway?
> What's the problem being solved?
>
> Unfortunately git places signatures in the history itself, so it's not
> like we could use easily use signatures to indicate acceptance after
> code review, like we could if we were using monotone for example. Git
> just wasn't designed for a commit-signing workflow.

Just makes it easier to sort out things like your git account (or the
git site) being compromised and used to submit commits.